import 'package:example/employee/employee.model.dart';
import 'package:example/employee/employee_form.page.dart';
import 'package:example/employee/employee_list.page.dart';
import 'package:flutter/material.dart';
import 'package:tecfy_basic_package/tecfy_basic_package.dart';

class EmployeeController extends TecfyController {
  late List<Employee> employees;
  Employee? selectedEmployee;
  // ValueNotifier<int> length = ValueNotifier<int>(0);
  late TextEditingController employeeName;

  @override
  void init(Widget page) {
    if (page is EmployeeListPage) {
      employees = [Employee(id: '1', name: 'Default')];
    } else if (page is EmployeeFormPage) {
      employeeName = TextEditingController();
    }
  }

  @override
  Future initLate(Widget page) async {}

  onOpenNewEmployeePage() async {
    setStateAll(() {});
    selectedEmployee = Employee();
    AppNavigator.navigateTo(context, () => EmployeeFormPage(controller: this));
  }

  void addEmployee() {
    employees.add(Employee(
        id: '${employees.length + 1}', name: 'Empl ${employees.length + 1}'));
    //setStateById("EmployeeListPage", () {}); //or
    setStateAll(() {});
    AppNavigator.pop(context);
  }
}
